/*
    zi2c.c - I2C library
    Copyright (C) 2018 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __ZI2C_H
#define __ZI2C_H

#include <stddef.h>

int zi2c_read(int busnr, int slave, unsigned int addr, size_t addrlen, void *buf, size_t readlen);
int zi2c_write_reg(int busnr, int slave, unsigned char addr, unsigned char value);

#endif
